CREATE TABLE IF NOT EXISTS users (
	/* */
	id UUID,
	/* Acts as a kind of nick name per instance as it assumes no uniqueness */
	username VARCHAR(256),
	/* Salt to be generated everytime password is (re)created */
	salt VARCHAR(256),
	/* Basic hashed password */
	password VARCHAR(256),
	PRIMARY KEY (id)
);


CREATE TABLE IF NOT EXISTS invites (
	id BIGINT,
	expires INTEGER,
	PRIMARY KEY (id)
);

CREATE TABLE IF NOT EXISTS channels (
	id BIGINT,
	name varchar(256),
	description varchar(256),
	PRIMARY KEY (id)
);
